<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.zzsmart.qomo</groupId>
        <artifactId>qomo-kn-forecast</artifactId>
        <version>${revision}</version>
    </parent>
    <artifactId>qomo-kn-cost-manage-start</artifactId>

    <properties>
        <maven.deploy.skip>true</maven.deploy.skip>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
            <exclusions>
                <exclusion>
                    <artifactId>spring-boot-starter-logging</artifactId>
                    <groupId>org.springframework.boot</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>



        <dependency>
            <groupId>com.zzsmart.qomo</groupId>
            <artifactId>qomo-kn-cost-manage</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <!--                    <fork>true</fork> &lt;!&ndash; 如果没有该配置，devtools不会生效 &ndash;&gt;-->
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <profiles>
        <profile>
            <id>dmp</id>
            <activation>
                <!--默认激活配置-->
                <activeByDefault>true</activeByDefault>
            </activation>
            <properties>
                <profile.name>dmp</profile.name>
            </properties>
            <dependencies>
                <dependency>
                    <groupId>com.zzsmart.qomo</groupId>
                    <artifactId>qomo-data-model</artifactId>
                </dependency>

                <dependency>
                    <groupId>com.zzsmart.qomo</groupId>
                    <artifactId>qomo-assets-management</artifactId>
                </dependency>

                <dependency>
                    <groupId>com.zzsmart.qomo</groupId>
                    <artifactId>qomo-data-integration</artifactId>
                </dependency>

                <dependency>
                    <groupId>com.zzsmart.qomo</groupId>
                    <artifactId>qomo-data-metadata</artifactId>
                </dependency>

                <dependency>
                    <groupId>com.zzsmart.qomo</groupId>
                    <artifactId>qomo-work-flow</artifactId>
                </dependency>

                <dependency>
                    <groupId>com.zzsmart.qomo</groupId>
                    <artifactId>qomo-data-warehouse</artifactId>
                </dependency>
                <dependency>
                    <groupId>com.zzsmart.qomo</groupId>
                    <artifactId>qomo-data-selfReport</artifactId>
                </dependency>
            </dependencies>
        </profile>
    </profiles>

</project>